org.eclipse.mat.inspections.osgi.model

## Interface IBundleReader

All Known Implementing Classes:
  EquinoxBundleReader, EquinoxBundleReader2

    public interface IBundleReader

### Method Summary

All Methods Instance Methods Abstract Methods
`Bundle` `getBundle(BundleDescriptor descriptor)` Load the bundle by its descriptor
`OSGiModel` `readOSGiModel(IProgressListener listener)` get a model describing the OSGi framework

### Method Detail

#### readOSGiModel

    OSGiModel readOSGiModel(IProgressListener listener)
                     throws SnapshotException

get a model describing the OSGi framework

Parameters:
  `listener` -
Returns:
  OSGi model
Throws:
  `SnapshotException`

#### getBundle

    Bundle getBundle(BundleDescriptor descriptor)
              throws SnapshotException

Load the bundle by its descriptor

Parameters:
  `descriptor` -
Returns:
  Bundle, which contains full information (dependencies, dependents, services, extension points, extensions)
Throws:
  `SnapshotException`